psss / rpms / libguestfs

Forked from rpms/libguestfs 5 years ago
Clone
Blob Blame History Raw
From 1a3324ea2b0f4a4e04f99c4efb5af1d4cc256731 Mon Sep 17 00:00:00 2001
From: Richard W.M. Jones <rjones@redhat.com>
Date: Sat, 2 Oct 2010 09:10:22 +0100
Subject: [PATCH 2/2] test-copy: Skip this test if /dev/fd is missing, because of broken mock 1.1.4.

---
 regressions/test-copy.sh |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

diff --git a/regressions/test-copy.sh b/regressions/test-copy.sh
index 237acd0..6cfb3f1 100755
--- a/regressions/test-copy.sh
+++ b/regressions/test-copy.sh
@@ -18,6 +18,14 @@
 
 # Test guestfish copy-in and copy-out commands.
 
+# This test fails on some versions of mock which lack /dev/fd
+# directory.  Skip this test in that case.
+
+test -d /dev/fd || {
+    echo "$0: Skipping this test because /dev/fd is missing."
+    exit 0
+}
+
 set -e
 
 rm -f test1.img
-- 
1.7.3.1